package com.docus.server.lis.service.impl;

import com.docus.server.constants.DSKeyConstants;
import com.docus.server.lis.infrastructure.mapper.LisDeptMapper;
import com.docus.server.lis.service.ILisService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Component(DSKeyConstants.LIS_DS_KEY + "ServiceImpl")
@AllArgsConstructor
public class LisServiceImpl implements ILisService {

    private final LisDeptMapper hisDeptMapper;

    @Override
    public List<Map<String, Object>> page(Date startDate, Date endDate, int pageNum, int pageSize) {
        return hisDeptMapper.page(startDate, endDate, (pageNum - 1) * pageSize, pageSize);
    }

    @Override
    public List<Map<String, Object>> BatchForJZH(List<String> jzhs) {
        return hisDeptMapper.BatchForJZH(jzhs);
    }

    @Override
    public List<Map<String, Object>> BatchForJZHAndAdmissTimes(List<Map<String, Object>> datas) {
        return hisDeptMapper.BatchForJZHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForZYHAndAdmissTimes(List<Map<String, Object>> datas) {
        return hisDeptMapper.BatchForZYHAndAdmissTimes(datas);
    }

    @Override
    public List<Map<String, Object>> BatchForEXAMTIME(List<Map<String, Object>> datas) {
        return hisDeptMapper.BatchForEXAMTIME(datas);
    }

    @Override
    public void get() {

    }
}
